﻿using System.Web;

namespace CompareAjaxMethods
{
    public class JSONHandler : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            context.Response.Cache.SetCacheability(HttpCacheability.NoCache);
            context.Response.ContentType = "application/json";
            string pseudo = context.Request.Form["pseudo"];
            if (UserService.PseudoLibre(pseudo))
                context.Response.Write("{result:true}");
            else
                context.Response.Write("{result:false}");
        }

        public bool IsReusable
        {
            get { return false; }
        }
    }
}
