﻿using System;
using System.Web.UI;

namespace CompareAjaxMethods.Pages
{
    public partial class PageUpdatePanel : Page
    {
        protected override void OnInit(EventArgs e)
        {
            LabelTemoin.Text = DateTime.Now.ToLongTimeString();
            base.OnInit(e);
        }

        protected void VerifPseudo(object sender, EventArgs e)
        {
            if (UserService.PseudoLibre(Login.Text))
            {
                OkImg.Visible = true;
                ErrImg.Visible = false;
            }
            else
            {
                OkImg.Visible = false;
                ErrImg.Visible = true;
            }
        }
    }
}
